%define	Summary	Amphetamine is a cool Jump'n Run game

Summary:	%{Summary}
Name:		amphetamine
Version:	0.8.10
Release:	%mkrel 15
License:	GPL
Group:		Games/Arcade
Source0:	%{name}-%{version}.tar.bz2  
Source1:	%{name}-data-0.8.6.tar.bz2
Source11:	amph-16.png
Source12:	amph-32.png
Source13:	amph-48.png
Patch0:		%{name}_lib64.patch.bz2
BuildRequires:  %{_lib}SDL-devel
URL:		http://www.dataway.ch/~lukasl/amph/amph.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Amphetamine is a 2D - Jump'n'run shooter in the tradition of Super Mario Bros
and other classics. But it has unique features:
   - Fast 256 colour graphics
   - Seven weapons (like the seven deadly sins): Fight with arrow and bow,
      a scie, fire hands, etc. against monsters
   - Never seen graphics (in this genre) such as coronas (remember Unreal),
     dynamic coloured lightning, fogging, semitransparence and much more...
   - Raging fights against 11 bloodsucking monsters which themselves have
     several killing powers.

%prep
%setup -q

%ifarch x86_64
%patch0 -p1
%endif

# remove nasty no-newline-at-end-of-line
find . -name "*.hpp" -exec perl -pi -e '$_.="\n" if eof' {} \;
find . -name "*.cpp" -exec perl -pi -e '$_.="\n" if eof' {} \; #'

%build
%make INSTALL_DIR=%{_gamesdatadir}/amph CXXFLAGS="$RPM_OPT_FLAGS -O9 -funroll-loops -fomit-frame-pointer -ffast-math -Wcast-align -I./src `sdl-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

install -m755 amph -D $RPM_BUILD_ROOT%{_gamesbindir}/amph
install -d -m755 $RPM_BUILD_ROOT%{_gamesdatadir}
tar -C $RPM_BUILD_ROOT%{_gamesdatadir} -xjf %{SOURCE1}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Amphetamine
Comment=Jump'n Run game
Exec=%{_gamesbindir}/amph
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF


%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_gamesbindir}/amph
%dir %{_gamesdatadir}/amph
%{_gamesdatadir}/amph/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*

%changelog
* Thu Jul 6 2016 adrianomorselli <adrianomorselli> 0.8.10-15uplos2011
- rebuild

* Tue Oct 04 2011 Archie <pclinuxos.ph at gmail.com> 0.8.10-15pclos2011
- Rebuild for x86_64

* Fri Oct 08 2010 Sproggy <desproggster@gmail.com> 0.8.10-14pclos2010
- Build for PCLinuxOS 2010

* Sun Aug 26 2007 Texstar <texstar@gmail.com> 0.8.10-13pclos2007
- remove old menu system
- fix xdg menu per MoonSwan

